> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coverwhale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Vehicle

> Updates fields on an existing vehicle. Only send fields that need to change.



## OpenAPI

````yaml put /submission/{displayId}/{transactionId}/vehicle/{vehicleId}
openapi: 3.0.0
info:
  title: Cover Whale API V1
  contact:
    name: Cover Whale API Team
  version: '1.0'
servers:
  - url: https://api.coverwhale.dev/v1
security:
  - AccessToken: []
tags:
  - name: Authentication
    description: Authenticating & Interacting with the API
paths:
  /submission/{displayId}/{transactionId}/vehicle/{vehicleId}:
    put:
      tags:
        - Submission Data
      summary: Update Vehicle
      description: >-
        Updates fields on an existing vehicle. Only send fields that need to
        change.
      operationId: updateVehicle
      parameters:
        - name: AccessToken
          in: header
          required: true
          schema:
            type: string
        - name: displayId
          in: path
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          required: true
          schema:
            type: integer
        - name: vehicleId
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                vehicle_id_number:
                  description: VIN (10-17 chars)
                  type: string
                year:
                  type: integer
                  example: 2020
                make:
                  type: string
                model:
                  type: string
                class:
                  type: string
                value:
                  type: integer
                  example: 45000
                body_type:
                  type: string
                deductible:
                  type: integer
              type: object
      responses:
        '200':
          description: Vehicle updated
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  vehicle_id:
                    type: integer
                  submission_number:
                    type: string
                  transaction_id:
                    type: integer
                  updated_fields:
                    type: array
                    items:
                      type: string
                type: object
        '401':
          description: Unauthorized
        '404':
          description: Submission or vehicle not found
        '422':
          description: Validation error
components:
  securitySchemes:
    AccessToken:
      type: apiKey
      description: >-
        AWS Cognito access token obtained from the /authentication endpoint.
        Token expires after 3600 seconds.
      name: AccessToken
      in: header

````